import 'package:flutter/material.dart';
import 'package:buzz_booster/buzz_booster.dart';
import 'package:buzz_booster/buzz_booster_campaign_floating_action_button.dart';
import 'package:buzz_booster/buzz_booster_campaign_entry_view.dart';

final buzzBooster = BuzzBooster();

void main() async {
  runApp(const MyApp());
  await buzzBooster.init("307117684877774");
  await buzzBooster.setUserId("Damone123123");
  await buzzBooster.sendEvent("flutter_test", null);
  await buzzBooster.sendEvent("flutter_test", {
    "key":"value"
  });
  buzzBooster.showInAppMessage().then((value) => {});
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
          appBar: AppBar(
            title: const Text('Plugin example app'),
          ),
          body: const Center(
            child: CampaignEntryView(child: Text("asdf"), width: 100, height: 100, entryName: "flutter_text_entry",)
          ),
          floatingActionButton: CampaignFloatingActionButton()),
    );
  }
}
